<?php
/**
 * About options.
 *
 * @package Fotoografia
 */

$default = fotoografia_get_default_theme_options();

// About section
$wp_customize->add_section( 'section_details',
	array(
		'title'      => __( 'About Section', 'fotoografia' ),
		'priority'   => 15,
		'capability' => 'edit_theme_options',
		'panel'      => 'home_page_panel',
		)
);


$wp_customize->add_setting( 'theme_options[disable_details_section]',
	array(
		'default'           => $default['disable_details_section'],
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'fotoografia_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Fotoografia_Switch_Control( $wp_customize, 'theme_options[disable_details_section]',
    array(
		'label' 			=> __('Disable About Section', 'fotoografia'),
		'section'    		=> 'section_details',
		'on_off_label' 		=> fotoografia_switch_options(),
    )
) );

// Additional Information First Post
$wp_customize->add_setting('theme_options[details_post]', 
	array(
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'fotoografia_dropdown_posts'
	)
);
$wp_customize->add_control( new Fotoografia_Dropdown_Chooser( $wp_customize,'theme_options[details_post]', 
	array(
	'label'       => __('Select Post', 'fotoografia'),
	'section'     => 'section_details',  
	'settings'    => 'theme_options[details_post]',	
	'choices'			=> fotoografia_post_choices(),	
	'type'        => 'dropdown-posts',
	'active_callback' => 'fotoografia_details_active',
	)
));



// Cta Button Text
$wp_customize->add_setting('theme_options[details_button_label]', 
	array(
	'default' 			=> $default['details_button_label'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control('theme_options[details_button_label]', 
	array(
	'label'       => __('Button Label', 'fotoografia'),
	'section'     => 'section_details',   
	'settings'    => 'theme_options[details_button_label]',	
	'active_callback' => 'fotoografia_details_active',	
	'type'        => 'text'
	)
);

