<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Fotoografia
 */
?>
<?php 
	$enable_category     = fotoografia_get_option( 'archive_category_enable' );
    $enable_posted_on     = fotoografia_get_option( 'archive_posted_on_enable' );
    $enable_author     = fotoografia_get_option( 'archive_author_enable' );
    $enable_image = fotoografia_get_option( 'archive_image_enable' );
    $header_font_size = fotoografia_get_option( 'archive_font_size');
 ?>

<article id="post-<?php the_ID(); ?>" <?php post_class('grid-item'); ?>>
	<div class="post-item">
    	<?php if ( (has_post_thumbnail() && ($enable_image==true))) { ?>
			<figure>
			    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
			
                <?php $homepage_video_url = get_post_meta( get_the_ID(), 'fotoografia-video-url', true ); ?>
                <?php if (!empty($homepage_video_url)): ?>
                   <a href="<?php the_permalink();?>"> <div class="homepage-video-icon"><i class="fa fa-play"></i></div></a>
                <?php endif ?>
            </figure>
		<?php } ?>

		<div class="entry-container">
			<header class="entry-header">
				<?php if ($enable_category ==true): ?>
					<div class="entry-meta">
						<?php fotoografia_entry_meta(); ?>
					</div><!-- .entry-meta -->
				<?php endif ?>
				
				<?php
				if ( is_single() ) :
					the_title( '<h1 class="entry-title" style="font-size:'. esc_attr($header_font_size).'px; ">', '</h1>' );
				else :
					the_title( '<h2 class="entry-title" style="font-size:'. esc_attr($header_font_size).'px; "><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif; ?>
			</header><!-- .entry-header -->
			<?php if (($enable_posted_on ==true) || ($enable_author ==true)): ?>
				<div class="entry-meta posted-on">
					<?php if ($enable_posted_on == true){
					 	fotoografia_posted_on();
					 } ?>
					<?php if ($enable_author == true){ 
						fotoografia_posted_author();
					} ?>
				</div><!-- .entry-meta -->
				
			<?php endif; ?>
			<div class="entry-content">
				<?php the_excerpt(); ?>
			</div><!-- .entry-content -->
			<?php $archive_readmore_text = fotoografia_get_option( 'archive_readmore_text' );
	        if (!empty ($archive_readmore_text)) { ?>
	          <div class="archive-read-more"><a href="<?php the_permalink();?>" class="btn"><?php echo esc_html($archive_readmore_text);?></a> </div>
        <?php } ?>
		</div><!-- .entry-container -->
		
	</div><!-- .post-item -->
</article><!-- #post-## -->
